Bug 50894 - FORMATTING: ListNum fields don't show up
Summary: FORMATTING: ListNum fields don't show up
Status: RESOLVED DUPLICATE of bug 44319
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-08 13:17 UTC by Chris Nelson
Modified: 2015-03-04 22:35 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
The attached document has three lines containing only one ListNum field each. They should show up as "1)", "2)", and "3)". (38.00 KB, application/msword)
2012-06-08 13:17 UTC, Chris Nelson
Details
Screen shot of document in Word 2010 (12.20 KB, image/png)
2012-06-21 06:05 UTC, Chris Nelson
Details
A more verbose sample document (39.00 KB, application/msword)
2012-06-21 06:09 UTC, Chris Nelson
Details
ListNumTest2.doc as viewed in Word (26.32 KB, image/png)
2012-06-21 06:10 UTC, Chris Nelson
Details
ListNumTest2.doc as viewed in Libre Office Writer (62.50 KB, image/png)
2012-06-21 06:11 UTC, Chris Nelson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Nelson 2012-06-08 13:17:26 UTC
Created attachment 62816 [details]
The attached document has three lines containing only one ListNum field each.  They should show up as "1)", "2)", and "3)".

Problem description: 

Steps to reproduce:
1. Create a document in Microsoft Word (2007 or 2010)
2. Insert ListNum fields, I used NumberDefault format
3. Save the document
4. Open the doucment in LibreOffice (or OpenOffice)


Current behavior:

The document appears blank

Expected behavior:

Sequential numbers should appear.


Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:13.0) Gecko/20100101 Firefox/13.0
Comment 1 bfoman (inactive) 2012-06-21 05:56:50 UTC
Confirmed with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

The document appears blank. In Word 2010 as expected.
Comment 2 Chris Nelson 2012-06-21 06:04:05 UTC
I downloaded the document from the ticket and opened it in "Microsoft Office Professional Plus 2010 Version 14.0.6112.5000 (32-bit)"  I see:

 1)
 2)
 3)

I'll attach a screen shot.
Comment 3 Chris Nelson 2012-06-21 06:05:06 UTC
Created attachment 63293 [details]
Screen shot of document in Word 2010
Comment 4 Chris Nelson 2012-06-21 06:09:50 UTC
Created attachment 63294 [details]
A more verbose sample document
Comment 5 Chris Nelson 2012-06-21 06:10:21 UTC
Created attachment 63295 [details]
ListNumTest2.doc as viewed in Word
Comment 6 Chris Nelson 2012-06-21 06:11:04 UTC
Created attachment 63296 [details]
ListNumTest2.doc as viewed in Libre Office Writer

Note the lack of numbers at the beginning of the list lines.
Comment 7 bfoman (inactive) 2012-06-21 07:11:47 UTC
Just to be clear - I have reproduced your problem with attachment 62816 [details]. Thanks for additional files anyway.
Comment 8 Chris Nelson 2012-06-21 07:14:03 UTC
Ahh, I read too quickly and didn't see the period in the middle of your comment so I read it as "blank in Word as expected."
Comment 9 sasha.libreoffice 2012-11-09 13:18:28 UTC
[Reproduced] with first attachment
in 3.6.3 on RFR 17 64 bit
in 3.4.2 on Windows XP 32 bit
Comment 10 QA Administrators 2015-01-05 17:51:10 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.3.5 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

Thank you for your help!

-- The LibreOffice QA Team
Comment 11 Buovjaga 2015-01-21 09:40:12 UTC
Still reproduced.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 12 John 2015-03-04 15:00:16 UTC
Also reported as bug 44319
Comment 13 Joel Madero 2015-03-04 22:35:36 UTC
Thanks John for that input. Marking as such.

Great work finding the dupe - if you haven't already come say hello, we'd love to see you (and everyone on this bug) in the QA chat channel:

http://webchat.freenode.net/?channels=libreoffice-qa

*** This bug has been marked as a duplicate of bug 44319 ***